Summary: Reads and writes data across network connections using TCP or UDP.
Name: nc
Version: 1.10
Release: 22.XOS.1
Source0: ftp://ftp.avian.org/src/hacks/nc110.tgz
Source1: http://www.openbsd.org/src/usr.bin/nc/nc.1
Patch0: nc-arm.patch
Patch1: nc-1.10-halfclose.patch
Patch2: nc-proto.patch
Patch3: nc-1.10-timeout.patch
Patch4: netcat-1.10-ranges05.patch
Patch5: nc-1.10-sigalrm.patch
Copyright: GPL
Group: Applications/Internet
BuildRoot: %{_tmppath}/%{name}-root

%description
The nc package contains Netcat (the program is actually nc), a simple
utility for reading and writing data across network connections, using
the TCP or UDP protocols. Netcat is intended to be a reliable back-end
tool which can be used directly or easily driven by other programs and
scripts.  Netcat is also a feature-rich network debugging and
exploration tool, since it can create many different connections and
has many built-in capabilities.

You may want to install the netcat package if you are administering a
network and you'd like to use its debugging and network exploration
capabilities.

%prep
%setup -c -n nc -q
%patch0 -p1
%patch1 -p1 -b .halfclose
%patch2 -p1 -b .proto
%patch3 -p1 -b .timeout
%patch4 -p1 -b .range
%patch5 -p1 -b .sigalrm

cp %{SOURCE1} .

%build
# XXX Make linux is supported, but it makes a static binary. 
make CFLAGS="$RPM_OPT_FLAGS" generic

%install
rm -rf ${RPM_BUILD_ROOT}
install -d ${RPM_BUILD_ROOT}%{_bindir}
install -m 755 nc ${RPM_BUILD_ROOT}%{_bindir}
install -d ${RPM_BUILD_ROOT}%{_mandir}/man1
install -m 644 nc.1 ${RPM_BUILD_ROOT}%{_mandir}/man1

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root)
%doc README Changelog scripts
%{_bindir}/nc
%{_mandir}/man1/nc.1*

%changelog
* Thu Jul 28 2005 X/OS Linux Team <xoslinux@xos.nl> 1.10-22.XOS.1
- Build for X/OS Linux 4.
- X/OS Linux source rpm based on nc-1.10-22.src.rpm
  (md5sum of original source rpm: a239f42928e3a8cf5763896a47d3ad04).

* Tue Sep 21 2004 Radek Vokal <rvokal@redhat.com> 1.10-22
- timeout option patch when SIGALRM blocked (#132973)

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Wed Dec 11 2002 Tim Powers <timp@redhat.com> 1.10-17
- rebuild on all arches

* Tue Jul 23 2002 Bill Nottingham <notting@redhat.com> 1.10-16
- fix for the parsing patch (<eedmoba@eede.ericsson.se>)

* Thu Jul 18 2002 Bill Nottingham <notting@redhat.com> 1.10-15
- don't strip binaries
- fix parsing of some services (#52874) (<eedmoba@eede.ericsson.se>)
- fix man page (#63544)

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Tue May 15 2001 Bill Nottingham <notting@redhat.com>
- add patch to fix timeouts (#40689, <jdp@ll.mit.edu>)

* Fri Oct 20 2000 Bill Nottingham <notting@redhat.com>
- include reslov.h for res_init prototype

* Fri Aug 11 2000 Jeff Johnson <jbj@redhat.com>
- add shutdown to fix obscure half-close connection case (#9324).

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Wed Jun 14 2000 Jeff Johnson <jbj@redhat.com>
- FHS packaging.

* Wed Feb 02 2000 Cristian Gafton <gafton@redhat.com>
- fix description
- add man page

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 4)

* Tue Jan 12 1999 Cristian Gafton <gafton@redhat.com>
- make it build on the arm

* Tue Dec 29 1998 Cristian Gafton <gafton@redhat.com>
- build for 6.0
